MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
PcmDither Class Reference

`#include <PcmDither.hxx>`

## Public Member Functions
constexpr | PcmDither ()
template<typename ST , unsigned SBITS, unsigned DBITS>
ST | DitherShift (ST sample)
| Shift the given sample by #SBITS-#DBITS to the right, and apply dithering. More...
void | Dither24To16 (int16_t *dest, const int32_t *src, const int32_t *src_end)
void | Dither32To16 (int16_t *dest, const int32_t *src, const int32_t *src_end)

## Detailed Description

Definition at line 27 of file PcmDither.hxx.

## Constructor & Destructor Documentation

constexpr PcmDither::PcmDither | ( |  | ) |
| inline

Definition at line 32 of file PcmDither.hxx.

## Member Function Documentation

void PcmDither::Dither24To16 | ( | int16_t * | dest,
|  | const int32_t * | src,
|  | const int32_t * | src_end
| ) |  |

void PcmDither::Dither32To16 | ( | int16_t * | dest,
|  | const int32_t * | src,
|  | const int32_t * | src_end
| ) |  |

template<typename ST , unsigned SBITS, unsigned DBITS>

ST PcmDither::DitherShift | ( | ST | sample | ) |

Shift the given sample by #SBITS-#DBITS to the right, and apply dithering.

Template Parameters

  ST | the input sample type
  SBITS | the input bit width
  DBITS | the output bit width

Parameters

  sample | the input sample value

The documentation for this class was generated from the following file:

- pcm/PcmDither.hxx